Subject: Re: [Megaco] 3GPP RTP header extension

From: "Schwarz, Albrecht (Albrecht)" <[email-masked]>
Date: Mon, 3 Jun 2013 08:10:10 +0000

The subject was also on the agenda of 3GPP CT4 at last meeting.

It may be noted that RFC 5285 is special with regards to the definition of two capabilities of
a) IP data path (RTP header extension; clause 4/RFC 5285) and
b) IP signaling path (SDP signalling; ; clauses 5&6/RFC 5285)
in a single RFC. Both capabilities could be also defined in separated RFCs.

The tight coupling of both capabilities in a single RFC may be interpreted in the following: the network should not forward RTP packets with extended headers in case of missing SDP "a=extmap:" signalling or/and failed SDP O/A.

E.g., an interim RTP translator (RTP transport translator or RTP media translator) would block RTP packets with extension headers (dependent on above SDP O/A ...).

Conclusion:
there seems to be some implicit semantics in RFC 5285 in my understanding.

Regards,
Albrecht

From: [email-masked] [mailto:[email-masked]] On Behalf Of Christer Holmberg
Sent: Freitag, 24. Mai 2013 12:06
To: [email-masked]
Subject: [MMUSIC] 3GPP RTP header extension

Hi,

In the virtual interim meeting yesterday, I was requested to look into the RTP header extension(s) defined by 3GPP.

3GPP SA4 has defined a header extension for "Coordination of Video Orientation" purpose (may be of interest for CLUE btw, but that's a separate story). The length of the extension is 1 byte.

For more information, see section 7.4.5 of 3GPP TS 24.114 :)

http://www.3gpp.org/ftp/Specs/archive/26_series/26.114/26114-c10.zip

Regards,

Christer